<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [StockMarketConstants](./bitburner.stockmarketconstants.md)

## StockMarketConstants interface

Constants used for the stockmarket game mechanic.

**Signature:**

```typescript
interface StockMarketConstants 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [MarketData4SCost](./bitburner.stockmarketconstants.marketdata4scost.md) |  | number | Cost of the 4S Market Data |
|  [MarketDataTixApi4SCost](./bitburner.stockmarketconstants.marketdatatixapi4scost.md) |  | number | Cost of the 4S Market Data TIX API integration |
|  [msPerStockUpdate](./bitburner.stockmarketconstants.msperstockupdate.md) |  | number | Normal time in ms between stock market updates |
|  [msPerStockUpdateMin](./bitburner.stockmarketconstants.msperstockupdatemin.md) |  | number | Minimum time in ms between stock market updates if there is stored offline/bonus time |
|  [StockMarketCommission](./bitburner.stockmarketconstants.stockmarketcommission.md) |  | number | Commission fee for transactions |
|  [TicksPerCycle](./bitburner.stockmarketconstants.tickspercycle.md) |  | number | An internal constant used while determining when to flip a stock's forecast |
|  [TIXAPICost](./bitburner.stockmarketconstants.tixapicost.md) |  | number | Cost of the TIX API |
|  [WSEAccountCost](./bitburner.stockmarketconstants.wseaccountcost.md) |  | number | Cost of the WSE account |

